Question: There is ghc-pkg dot but that seems to only work for a ghc package database. Answer: You can use the cabal-plan executable to generate a dependency graph. First install cabal-plan with: Then you can go to your cabal package ...

Question: I’m trying to install the accelerate library from hackage, but it keeps giving me an error saying that my version of base package (4.15.1.0) is too new. Is there a way to force it to ignore the base package ...

Question: I have created a stack project (with the name TMS) and seems to build. The resolver is “lts-18.25”. I have also created manually a cabal.project file in the TMS directory. This file only contains the line “packages: TMS” (without ...

Question: Hi I have the following modules in cabal file: When I do: I get the following error: Question What to do when I want to load a single file to experiment with the functions from that module in repl? ...

Question: I want to avoid cabal dependency hell problem. I have three packges. cabal.project Where client would depend on schema, and server depend on schema. Building schema&client or schema&server would be fine. But client and server have transitive dependency on ...